Subject: Re: cover letter cc's [was: [PATCH 60/67] hw/s390x: add include directory headers]

From: Cornelia Huck <[email-masked]>
Date: Fri, 4 May 2018 15:26:58 +0200

On Fri, 4 May 2018 08:07:53 -0500
Eric Blake <[email-masked]> wrote:

> [adding a cross-post to the git mailing list]
> 
> On 05/04/2018 02:10 AM, Cornelia Huck wrote:
> > On Thu, 3 May 2018 22:51:40 +0300
> > "Michael S. Tsirkin" <[email-masked]> wrote:
> >   
> >> This way they are easier to find using standard rules.
> >>
> >> Signed-off-by: Michael S. Tsirkin <[email-masked]>
> >> ---  
> ...
> 
> > [Goes to find cover letter to figure out what this is all about.
> > *Please*, cc: people on the cover letter so they can see immediately
> > what this is trying to do!]  
> 
> Is there an EASY way to make 'git format-patch --cover-letter $commitid' 
> (and git send-email, by extension) automatically search for all cc's any 
> any of the N/M patches, and auto-cc ALL of those recipients on the 0/N 
> cover letter?  And if that is not something easily built into git 
> format-patch directly, is it something that can easily be added to 
> sendemail.cccmd?  This is not the first time that someone has complained 
> that automatic cc's are not sending the cover letter context to a 
> particular maintainer interested (and auto-cc'd) in only a subset of an 
> overall series.

I think for most cases where I've been cc:ed on the cover letter and
only some of the patches, people actually added cc: lines to the cover
letter manually.

> 
> On the other hand, cc'ing all recipients for a largely mechanical patch 
> series that was split into 67 parts, in part because it touches so many 
> different maintainers' areas, may make the cover letter have so many 
> recipients that various mail gateways start rejecting it as potential spam.

Yes, large cross-subsystem patch series make this painful.

If I get some patches like "subsystem: frobnicate foo" and it's clear
that it's simply frobnicating foo for various subsystems, I can see
what this is about without reading the cover letter, no need to cc: me.
In this case, however, the patch did not make any sense at all without
looking at the explanation in the cover letter.

So I think we don't want to do this automatically, although some way to
collect potential candidates for cc:ing on the cover letter might be
helpful.